// This file is part of libigl, a simple c++ geometry processing library.
//
// Copyright (C) 2017 Sebastian Koch <s.koch@tu-berlin.de> and Daniele Panozzo <daniele.panozzo@gmail.com>
//
// This Source Code Form is subject to the terms of the Mozilla Public License
// v. 2.0. If a copy of the MPL was not distributed with this file, You can
// obtain one at http://mozilla.org/MPL/2.0/.
extern const char *__doc_igl_active_set;
extern const char *__doc_igl_adjacency_list;
extern const char *__doc_igl_arap_precomputation;
extern const char *__doc_igl_arap_solve;
extern const char *__doc_igl_avg_edge_length;
extern const char *__doc_igl_barycenter;
extern const char *__doc_igl_barycentric_coordinates;
extern const char *__doc_igl_barycentric_to_global;
extern const char *__doc_igl_bbw;
extern const char *__doc_igl_boundary_conditions;
extern const char *__doc_igl_boundary_facets;
extern const char *__doc_igl_boundary_loop;
extern const char *__doc_igl_cat;
extern const char *__doc_igl_collapse_edge;
extern const char *__doc_igl_colon;
extern const char *__doc_igl_column_to_quats;
extern const char *__doc_igl_comb_cross_field;
extern const char *__doc_igl_comb_frame_field;
extern const char *__doc_igl_compute_frame_field_bisectors;
extern const char *__doc_igl_copyleft_cgal_mesh_boolean;
extern const char *__doc_igl_copyleft_cgal_remesh_self_intersections;
extern const char *__doc_igl_copyleft_comiso_miq;
extern const char *__doc_igl_copyleft_comiso_nrosy;
extern const char *__doc_igl_copyleft_marching_cubes;
extern const char *__doc_igl_copyleft_swept_volume;
extern const char *__doc_igl_copyleft_tetgen_tetrahedralize;
extern const char *__doc_igl_cotmatrix;
extern const char *__doc_igl_covariance_scatter_matrix;
extern const char *__doc_igl_cross_field_mismatch;
extern const char *__doc_igl_cut_mesh_from_singularities;
extern const char *__doc_igl_deform_skeleton;
extern const char *__doc_igl_directed_edge_orientations;
extern const char *__doc_igl_directed_edge_parents;
extern const char *__doc_igl_doublearea;
extern const char *__doc_igl_doublearea_single;
extern const char *__doc_igl_doublearea_quad;
extern const char *__doc_igl_dqs;
extern const char *__doc_igl_edge_lengths;
extern const char *__doc_igl_edge_topology;
extern const char *__doc_igl_eigs;
extern const char *__doc_igl_embree_ambient_occlusion;
extern const char *__doc_igl_embree_line_mesh_intersection;
extern const char *__doc_igl_embree_reorient_facets_raycast;
extern const char *__doc_igl_exact_geodesic;
extern const char *__doc_igl_find_cross_field_singularities;
extern const char *__doc_igl_fit_rotations;
extern const char *__doc_igl_fit_rotations_planar;
extern const char *__doc_igl_fit_rotations_SSE;
extern const char *__doc_igl_floor;
extern const char *__doc_igl_forward_kinematics;
extern const char *__doc_igl_gaussian_curvature;
extern const char *__doc_igl_get_seconds;
extern const char *__doc_igl_grad;
extern const char *__doc_igl_harmonic;
extern const char *__doc_igl_hsv_to_rgb;
extern const char *__doc_igl_internal_angles;
extern const char *__doc_igl_internal_angles_using_squared_edge_lengths;
extern const char *__doc_igl_internal_angles_using_edge_lengths;
extern const char *__doc_igl_invert_diag;
extern const char *__doc_igl_is_irregular_vertex;
extern const char *__doc_igl_jet;
extern const char *__doc_igl_lbs_matrix;
extern const char *__doc_igl_lbs_matrix_column;
extern const char *__doc_igl_local_basis;
extern const char *__doc_igl_lscm;
extern const char *__doc_igl_map_vertices_to_circle;
extern const char *__doc_igl_massmatrix;
extern const char *__doc_igl_min_quad_with_fixed_precompute;
extern const char *__doc_igl_min_quad_with_fixed_solve;
extern const char *__doc_igl_min_quad_with_fixed;
extern const char *__doc_igl_normalize_row_lengths;
extern const char *__doc_igl_normalize_row_sums;
extern const char *__doc_igl_parula;
extern const char *__doc_igl_per_corner_normals;
extern const char *__doc_igl_per_edge_normals;
extern const char *__doc_igl_per_face_normals;
extern const char *__doc_igl_per_face_normals_stable;
extern const char *__doc_igl_per_vertex_normals;
extern const char *__doc_igl_planarize_quad_mesh;
extern const char *__doc_igl_png_readPNG;
extern const char *__doc_igl_png_writePNG;
extern const char *__doc_igl_point_mesh_squared_distance;
extern const char *__doc_igl_polar_svd;
extern const char *__doc_igl_principal_curvature;
extern const char *__doc_igl_quad_planarity;
extern const char *__doc_igl_randperm;
extern const char *__doc_igl_readDMAT;
extern const char *__doc_igl_readMESH;
extern const char *__doc_igl_readOBJ;
extern const char *__doc_igl_readOFF;
extern const char *__doc_igl_readTGF;
extern const char *__doc_igl_read_triangle_mesh;
extern const char *__doc_igl_remove_duplicate_vertices;
extern const char *__doc_igl_rotate_vectors;
extern const char *__doc_igl_seam_edges;
extern const char *__doc_igl_setdiff;
extern const char *__doc_igl_shape_diameter_function;
extern const char *__doc_igl_signed_distance;
extern const char *__doc_igl_signed_distance_pseudonormal;
extern const char *__doc_igl_signed_distance_winding_number;
extern const char *__doc_igl_slice;
extern const char *__doc_igl_slice_into;
extern const char *__doc_igl_slice_mask;
extern const char *__doc_igl_marching_tets;
extern const char *__doc_igl_sortrows;
extern const char *__doc_igl_streamlines_init;
extern const char *__doc_igl_streamlines_next;
extern const char *__doc_igl_triangle_triangle_adjacency;
extern const char *__doc_igl_triangle_triangle_adjacency_preprocess;
extern const char *__doc_igl_triangle_triangle_adjacency_extractTT;
extern const char *__doc_igl_triangle_triangle_adjacency_extractTTi;
extern const char *__doc_igl_triangle_triangulate;
extern const char *__doc_igl_unique;
extern const char *__doc_igl_unique_rows;
extern const char *__doc_igl_unproject_onto_mesh;
extern const char *__doc_igl_upsample;
extern const char *__doc_igl_winding_number;
extern const char *__doc_igl_winding_number_3;
extern const char *__doc_igl_winding_number_2;
extern const char *__doc_igl_writeMESH;
extern const char *__doc_igl_writeOBJ;
extern const char *__doc_igl_writePLY;
extern const char *__doc_igl_readPLY;
